--- openqa.spec.4.3-11	2016-02-12 09:14:31.739028550 -0800
+++ openqa.spec.4.3-12	2016-02-12 12:08:02.479383443 -0800
@@ -40,7 +40,7 @@
 
 Name:           openqa
 Version:        %{github_version}
-Release:        11%{?github_date:.%{github_date}git%{shortcommit}}%{?dist}
+Release:        12%{?github_date:.%{github_date}git%{shortcommit}}%{?dist}
 Summary:        OS-level automated testing framework
 License:        GPLv2+
 Url:            http://os-autoinst.github.io/openQA/
@@ -63,6 +63,9 @@
 # Backport: fix some issues with UID and GID switch in initdb script
 # https://github.com/os-autoinst/openQA/pull/546
 Patch4:         0001-initdb-when-user-set-setgid-and-don-t-guess-db-owner.patch
+# Backport: setgid in upgradedb as well as initdb
+# https://github.com/os-autoinst/openQA/pull/548
+Patch5:         0001-setgid-as-well-in-upgradedb-like-in-initdb.patch
 Obsoletes:      openqa < 4.3-7
 Requires(post): sqlite
 # This is for the %triggerin script (asset generation calls 'sass' command)
@@ -367,6 +370,12 @@
 %config %{_sysconfdir}/httpd/conf.d/openqa-ssl.conf.template
 
 %changelog
+* Fri Feb 12 2016 Adam Williamson <awilliam@redhat.com> - 4.3-12
+- quiet the trigger script down a bit
+- clean up sass cache in the trigger script
+- more customizable trigger script for upstream submission
+- setgid in upgradedb as well as initdb
+
 * Fri Feb 12 2016 Adam Williamson <awilliam@redhat.com> - 4.3-11
 - fix initdb UID / GID issues
 - use triggers for packed asset (re-)generation (Zbigniew)
